PDA

Visualizza la versione completa : aggiungere sezione a lilo.conf


ziolorto
18-04-2004, 16:39
Sto tentando di mettere il kernel 2.4.8-26 su mandrake 10.0. Ho operato come segue ma ho riscontrato un errore:
1. Dal cd della mandrake 8.1 ho preso il file kernel-2.4.8-26mdk.rpm e ho copiato il contenuto della cartella /lib/modules in /lib/modules
2. Ho copiato i file vmlinuz-2.4.8-26mdk.img, config-2.4.8-26mdk e System-2.4.8-26.map nella cartella /bott
3. ho creato questa nuova sezione nel file lilo.conf
image=/boot/vmlinuz-2.4.8-26mdk
label="24826"
root=/dev/hdb1
initrd=/boot/initrd-2.4.img
append="devfs=mount acpi=ht splash=silent"
read-only
4. ho eseguito "lilo" da root.
Fin qui nessun errore. Il problema nasce quando faccio partire (o meglio tento) linux con la nuova configurazione ("24826") mi da kernel panic e mi dice provare a settare initrd=. Quindi presumo che il problema sta nel fatto che ho usato il file initrd-2.4.img che è della versione 2.4.25 (che mi installa mandrake 10). Dov'è che posso creare o trovare questo file anche per la versione del kernel che voglio installare io?
Lo so che è una pazzia fare tutto cio ma sto tentando di far andare il modem che funziona solo con la 2.4.8-26 (e anche perchè oggi non so proprio cosa fare :-) ).
Grazie a tutti per qualsiasi informazione
Roberto

francofait
18-04-2004, 16:44
Originariamente inviato da ziolorto
Sto tentando di mettere il kernel 2.4.8-26 su mandrake 10.0. Ho operato come segue ma ho riscontrato un errore:
1. Dal cd della mandrake 8.1 ho preso il file kernel-2.4.8-26mdk.rpm e ho copiato il contenuto della cartella /lib/modules in /lib/modules
2. Ho copiato i file vmlinuz-2.4.8-26mdk.img, config-2.4.8-26mdk e System-2.4.8-26.map nella cartella /bott
3. ho creato questa nuova sezione nel file lilo.conf
image=/boot/vmlinuz-2.4.8-26mdk
label="24826"
root=/dev/hdb1
initrd=/boot/initrd-2.4.img
append="devfs=mount acpi=ht splash=silent"
read-only
4. ho eseguito "lilo" da root.
Fin qui nessun errore. Il problema nasce quando faccio partire (o meglio tento) linux con la nuova configurazione ("24826") mi da kernel panic e mi dice provare a settare initrd=. Quindi presumo che il problema sta nel fatto che ho usato il file initrd-2.4.img che è della versione 2.4.25 (che mi installa mandrake 10). Dov'è che posso creare o trovare questo file anche per la versione del kernel che voglio installare io?
Lo so che è una pazzia fare tutto cio ma sto tentando di far andare il modem che funziona solo con la 2.4.8-26 (e anche perchè oggi non so proprio cosa fare :-) ).
Grazie a tutti per qualsiasi informazione
Roberto

B'è l'errore macroscopico mi sembra evidente
correggi così la riga x l'initrd:

initrd=/boot/initrd-2.4.8-26mdk.img

poi ridai lilo -v

ziolorto
18-04-2004, 17:06
si ma questo file initrd-2.4.8-26mdk.img io non ce l'ho è il mio problema....

francofait
18-04-2004, 17:17
Originariamente inviato da ziolorto
si ma questo file initrd-2.4.8-26mdk.img io non ce l'ho è il mio problema....

Ma se stai pensando di mettere il vecchio kernel-2.4.8 mi spiace ma la compatibilità ambiente del vecchio kernel si ferma completamente alla versione -2.4.18 . Dopodichè devi riprendere anche tutto il vecchio ambiente di sviluppo con relative librerie di sistema e fare un gran casino.Non impossibile , ma gran casino senza dubbio.

ziolorto
18-04-2004, 18:10
volevo solo tenere il kernel per far andare il modem e avere un kde aggiornato, almeno quello, perchè mandrake 8.1 non è granchè

altor
18-04-2004, 18:23
Scusate l'intromissione.
Avrei un problemino analogo: mi piacerebbe poter passare a mandrake 10 tenendo il kernel 2.21.-0-12mdk (mdk 9.1) sempre per via dei driver del modem....
Come la vedete?

altor
18-04-2004, 18:26
mi rispondo da me...
"meglio lasciar perdere"!
:nonono: :nonono:

ziolorto
18-04-2004, 18:26
vorrei far la stessa cosa pure io, installare mandrake 8.1 poi passare alla 10 tenendo però il kernel della 8.1 :dhò: :dhò: :dhò:

altor
18-04-2004, 18:28
Mi sa che ci tocca imparare a fare le cose per bene con i kernel nuovi e non a usare biechi trucchi di retroguardia!

ziolorto
18-04-2004, 18:31
è ma il problema (almeno il mio) è che sto c...o di modem non ne vuol sapere di andare con altri kernel, spero che qualche anima buona faccia dei driver che funzionino! :metallica

Loading